Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class PopulateChunkEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.ChunkProviderEvent
              net.minecraftforge.event.terraingen.PopulateChunkEvent

Direct Known Subclasses:
  PopulateChunkEvent.Populate, PopulateChunkEvent.Post, PopulateChunkEvent.Pre

    public class PopulateChunkEvent

extends ChunkProviderEvent

Nested Class Summary
`static class` | `PopulateChunkEvent.Populate` This event is fired when a chunk is populated with a terrain feature.
`static class` | `PopulateChunkEvent.Post`
`static class` | `PopulateChunkEvent.Pre`

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent
`ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`int` | `chunkX`
`int` | `chunkZ`
`boolean` | `hasVillageGenerated`
`Random` | `rand`
`World` | `world`

Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent
`chunkProvider`

Constructor Summary
`PopulateChunkEvent(IChunkProvider chunkProvider, World world, Random rand, int chunkX, int chunkZ, boolean hasVillageGenerated)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### world

    public final World world

### rand

    public final Random rand

### chunkX

    public final int chunkX

### chunkZ

    public final int chunkZ

### hasVillageGenerated

    public final boolean hasVillageGenerated

Constructor Detail

### PopulateChunkEvent

    public PopulateChunkEvent(IChunkProvider chunkProvider,
                              World world,
                              Random rand,
                              int chunkX,
                              int chunkZ,
                              boolean hasVillageGenerated)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD